data_metadata_destroy
const url = 'https://example.com/api/data/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/metadata/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'DELETE', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/api/data/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/metadata/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'Delete a Metadata object.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”A UUID string identifying this metadata.
Header Parameters
Section titled “Header Parameters”Workspace ID
Query Parameters
Section titled “Query Parameters”Datalink ID specific to the provided data
Responses
Section titled “Responses”Serializer for Metadata model.
object
Dynamically return the correct metadata field (madbot_field or plugin_field).
Parameters
obj : Metadata The Metadata instance.
Returns
dict Serialized data of the related metadata field.
object
Retrieve the history of the metadata object.
Parameters
obj : object
The object that has a history attribute.
Returns
list A list of dictionaries containing the history of the metadata object, where each dictionary includes the history ID, date, value, and editor information.
object
Return the interactor information of the object’s creator.
Parameters
obj : object The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : object The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Example generated
{ "value": "example"}object
object
Example
{ "code": "uri_validation_error", "message": "Invalid URI parameters. Check the `details` property for more details.", "details": [ { "parameter": "<associated_object>", "code": "does_not_exist", "message": "\"<parameter_value>\" does not exist." } ]}object
object
Example
{ "code": "forbidden", "message": "You do not have permission to perform this operation. Check the `details` property for more details.", "details": [ { "parameter": "node", "code": "not_allowed", "message": "The member's role does not allow deletion." } ]}object
object
Example
{ "code": "object_not_found", "message": "Object not found. Check the `details` property for more details.", "details": [ { "parameter": "<id>", "code": "does_not_exist", "message": "\"<id>\" does not exist." } ]}
